std::filesystem::recursive_directory_iterator::operator=(3)

NAME
std::filesystem::recursive_directory_iterator::operator= - std::filesystem::recursive_directory_iterator::operator=

Synopsis
   recursive_directory_iterator& operator=( const (since C++17)
   recursive_directory_iterator& other ) = default;
   recursive_directory_iterator& operator=( (since C++17)
   recursive_directory_iterator&& other ) = default;
   Assigns a recursive directory iterator.

Parameters
   other - another directory iterator to assign

Return value
   *this

Exceptions
   May throw implementation-defined exceptions.
    This section is incomplete